Package chatapp.Protocol

# Class HttpEchange

java.lang.Object
chatapp.Protocol.HttpEchange

    public class HttpEchange
    extends java.lang.Object

Classe representant les échanges HTTP entre un utilisateur distant et le servlet.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`HttpEchange​(ChatApp chatapp)` | Constructeur de la classe HttpEchange

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static java.lang.Boolean` | `getConnecte()` | Getter : Connecte
`boolean` | `sendPost​(java.lang.String type)` | Cette méthode permet de communiquer avec le servlet grâce à des requetes http de type Post.
`static void` | `setConnecte​(java.lang.Boolean value)` | Setter : Connecte

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpEchange

public HttpEchange​(ChatApp chatapp)

Constructeur de la classe HttpEchange

Parameters:
  `chatapp` - La methode prend toujours en argument un paramètre chatApp associé à un utilisateur.

## Method Details

### sendPost

public boolean sendPost​(java.lang.String type) throws java.io.IOException, java.lang.InterruptedException

Cette méthode permet de communiquer avec le servlet grâce à des requetes http de type Post.

Parameters:
  `type` - Le type de message ("Connexion", "Changement de pseudo" , "Deconnexion") ainsi que les parametres associés
Returns:
  True ou False selon la réponse a chaque type de message envoyé.
Throws:
  `java.io.IOException`
  `java.lang.InterruptedException`

### getConnecte

public static java.lang.Boolean getConnecte()
Getter : Connecte

Returns:
  Le boolean connecté (True s'il peut se connecter avec ce nom d'utilisateur , False sinon)

### setConnecte

public static void setConnecte​(java.lang.Boolean value)
Setter : Connecte

Parameters:
  `value` - La nouvelle valeur du boolean de connexion